<?php
class ControllerShippingPPL extends Controller {
	private $error = array(); 
	
	public function index() {   
		$this->load->language('shipping/ppl');

		$this->document->title = $this->language->get('heading_title');
		
		$this->load->model('setting/setting');
				
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate())) {
			$this->model_setting_setting->editSetting('ppl', $this->request->post);		
					
			$this->session->data['success'] = $this->language->get('text_success');
						
			$this->redirect(HTTPS_SERVER . 'index.php?route=extension/shipping');
		}
				
		$this->data['heading_title'] = $this->language->get('heading_title');

		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');
		$this->data['text_all_zones'] = $this->language->get('text_all_zones');
		$this->data['text_none'] = $this->language->get('text_none');
		$this->data['text_yes'] = $this->language->get('text_yes');
		$this->data['text_no'] = $this->language->get('text_no');
		
		$this->data['entry_sluzby'] = $this->language->get('entry_sluzby');
		$this->data['entry_normalni_balik'] = $this->language->get('entry_normalni_balik');
		$this->data['entry_express'] = $this->language->get('entry_express');
		$this->data['entry_dobirka'] = $this->language->get('entry_dobirka');
		
		$this->data['entry_tax'] = $this->language->get('entry_tax');
		$this->data['entry_geo_zone'] = $this->language->get('entry_geo_zone');
		$this->data['entry_status'] = $this->language->get('entry_status');
		$this->data['entry_sort_order'] = $this->language->get('entry_sort_order');
		
		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');

		$this->data['tab_general'] = $this->language->get('tab_general');

		if (isset($this->error['warning']))  {
			$this->data['error_warning'] = $this->error['warning'];
		} else {
			$this->data['error_warning'] = '';
		}

			$this->document->breadcrumbs = array();

			$this->document->breadcrumbs[] = array(
				'href'      => HTTPS_SERVER . 'index.php?route=common/home',
				'text'      => $this->language->get('text_home'),
				'separator' => FALSE
			);

			$this->document->breadcrumbs[] = array(
				'href'      => HTTPS_SERVER . 'index.php?route=extension/shipping',
				'text'      => $this->language->get('text_shipping'),
				'separator' => ' :: '
			);
		
			$this->document->breadcrumbs[] = array(
				'href'      => HTTPS_SERVER . 'index.php?route=shipping/ppl',
				'text'      => $this->language->get('heading_title'),
				'separator' => ' :: '
			);
		
		$this->data['action'] = HTTPS_SERVER . 'index.php?route=shipping/ppl';
		
		$this->data['cancel'] = HTTPS_SERVER . 'index.php?route=extension/shipping';
		
		// Normální PPL Balík
		if (isset($this->request->post['normalni_balik'])) {
			$this->data['normalni_balik'] = $this->request->post['normalni_balik'];
		} else {
			$this->data['normalni_balik'] = $this->config->get('ppl_normalni_balik');
		}
		if (isset($this->request->post['normalni_balik_ceny'])) {
			$this->data['normalni_balik_ceny'] = $this->request->post['normalni_balik_ceny'];
		} elseif ($this->config->get('ppl_normalni_balik')) {
			$this->data['normalni_balik_ceny'] = $this->config->get('ppl_normalni_balik_ceny');
		} else {
			$this->data['normalni_balik_ceny'] = '1:97,3:103,5:108,7:118,10:131,12:142,15:152,20:163,25:173,30:184,35:242,40:315,50:410';
		}
		// PPL Express
		if (isset($this->request->post['express'])) {
			$this->data['express'] = $this->request->post['ppl_express'];
		} else {
			$this->data['express'] = $this->config->get('ppl_express');
		}
		if (isset($this->request->post['express_ceny'])) {
			$this->data['express_ceny'] = $this->request->post['express_ceny'];
		} elseif ($this->config->get('ppl_express_ceny')) {
			$this->data['express_ceny'] = $this->config->get('ppl_express_ceny');
		} else {
		  $this->data['express_ceny'] = '1:147,3:157,5:165,7:179,10:200,12:216,15:232,20:248,25:264,30:280,35:368,40:480,50:624';
		}
		// Dobírka
		
		if (isset($this->request->post['dobirka'])) {
			$this->data['dobirka'] = $this->request->post['dobirka'];
		} else {
			$this->data['dobirka'] = $this->config->get('dobirka');
		}
		if (isset($this->request->post['dobirka'])) {
			$this->data['dobirka_ceny'] = $this->request->post['dobirka_ceny'];
		} elseif ($this->config->get('ppl_dobirka_ceny')) {
			$this->data['dobirka_ceny'] = $this->config->get('ppl_dobirka_ceny');
		} else {
			$this->data['dobirka_ceny'] = '1000:30,5000:40,20000:50,50000:80,100000:150,200000:250';
		}
		
		if (isset($this->request->post['ppl_tax_class_id'])) {
			$this->data['ppl_tax_class_id'] = $this->request->post['ppl_tax_class_id'];
		} else {
			$this->data['ppl_tax_class_id'] = $this->config->get('ppl_tax_class_id');
		}

		if (isset($this->request->post['ppl_geo_zone_id'])) {
			$this->data['ppl_geo_zone_id'] = $this->request->post['ppl_geo_zone_id'];
		} else {
			$this->data['ppl_geo_zone_id'] = $this->config->get('ppl_geo_zone_id');
		}
		
		if (isset($this->request->post['ppl_status'])) {
			$this->data['ppl_status'] = $this->request->post['ppl_status'];
		} else {
			$this->data['ppl_status'] = $this->config->get('ppl_status');
		}
		
		if (isset($this->request->post['ppl_sort_order'])) {
			$this->data['ppl_sort_order'] = $this->request->post['ppl_sort_order'];
		} else {
			$this->data['ppl_sort_order'] = $this->config->get('ppl_sort_order');
		}

		$this->load->model('localisation/tax_class');
		
		$this->data['tax_classes'] = $this->model_localisation_tax_class->getTaxClasses();
		
		$this->load->model('localisation/geo_zone');
		
		$this->data['geo_zones'] = $this->model_localisation_geo_zone->getGeoZones();
		
		$this->template = 'shipping/ppl.tpl';
		$this->children = array(
			'common/header',	
			'common/footer'	
		);
		
		$this->response->setOutput($this->render(TRUE), $this->config->get('config_compression'));
	}
	
	private function validate() {
		if (!$this->user->hasPermission('modify', 'shipping/ppl')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		if (!$this->error) {
			return TRUE;
		} else {
			return FALSE;
		}	
	}
}
?>