<?php
class ModelShippingPPL extends Model {
	function getQuote($address) {
		$this->load->language('shipping/ppl');

		if ($this->config->get('ppl_status')) {
			$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "zone_to_geo_zone WHERE geo_zone_id = '" . (int)$this->config->get('ppl_geo_zone_id') . "' AND country_id = '" . (int)$address['country_id'] . "' AND (zone_id = '" . (int)$address['zone_id'] . "' OR zone_id = '0')");
			if (!$this->config->get('ppl_geo_zone_id')) {
				$status = TRUE;
			} elseif ($query->num_rows) {
				$status = TRUE;
			} else {
				$status = FALSE;
			}
		} else {
			$status = FALSE;
		}
		
		$method_data = array();
		if ($status) {
			$weight = $this->cart->getWeight();
			$sub_total = $this->cart->getSubTotal();
			$quote_data = array();
			$text = $this->language->get('text_description') . ' : ';

			// Dobírka
			$cost2 = 0;
			if ($this->config->get('ppl_dobirka')) {
				$rates = explode(',', $this->config->get('ppl_dobirka_ceny'));
				foreach ($rates as $rate) {
					$data = explode(':', $rate);
					if ($data[0] >= $sub_total) {
						if (isset($data[1])) {
							$cost2 = $data[1];
						}
						break;
					}
				}
			}

			// Normální PPL Balík
			$cost = 0;
			if ($this->config->get('ppl_normalni_balik')) {
				$rates = explode(',', $this->config->get('ppl_normalni_balik_ceny'));
				foreach ($rates as $rate) {
					$data = explode(':', $rate);
					if ($data[0] >= $weight) {
						if (isset($data[1])) {
							$cost = $data[1];
						}
						break;
					}
				}
			}
			if ($cost) {
				$quote_data['normalni_balik'] = array(
					'id'           => 'ppl.normalni_balik',
					'title'        => $this->language->get('text_normalni_balik'),
					'cost'         => $cost,
					'tax_class_id' => $this->config->get('ppl_tax_class_id'),
					'text'         => $this->currency->format($this->tax->calculate($cost, $this->config->get('ppl_tax_class_id'), $this->config->get('config_tax')))
				);
				if ($cost2) {	
					$quote_data['normalni_balik_dobirka'] = array(
						'id'           => 'ppl.normalni_balik_dobirka',
						'title'        => $this->language->get('text_normalni_balik') . ' + ' . $this->language->get('text_dobirka'),
						'cost'         => $cost + $cost2,
						'tax_class_id' => $this->config->get('ppl_tax_class_id'),
						'text'         => $this->currency->format($this->tax->calculate($cost + $cost2, $this->config->get('ppl_tax_class_id'), $this->config->get('config_tax')))
					);
				}
			}

			// PPL Express
			$cost = 0;
			if ($this->config->get('ppl_express')) {
				$rates = explode(',', $this->config->get('ppl_express_ceny'));
				foreach ($rates as $rate) {
					$data = explode(':', $rate);
					if ($data[0] >= $weight) {
						if (isset($data[1])) {
							$cost = $data[1];
						}
						break;
					}
				}
			}
			if ($cost) {
				$quote_data['express'] = array(
					'id'           => 'ppl.express',
					'title'        => $this->language->get('text_express'),
					'cost'         => $cost,
					'tax_class_id' => $this->config->get('ppl_tax_class_id'),
					'text'         => $this->currency->format($this->tax->calculate($cost, $this->config->get('ppl_tax_class_id'), $this->config->get('config_tax')))
				);
			}
			
			$method_data = array(
				'id'         => 'ppl',
				'title'      => $this->language->get('text_title'),
				'quote'      => $quote_data,
				'sort_order' => $this->config->get('ppl_sort_order'),
				'error'      => FALSE
			);
		}
		return $method_data;
	}
}
?>